Subject: Re: linux-next: Fixes tag needs some work in the block tree

From: Jens Axboe <[email-masked]>
Date: Wed, 22 Jun 2022 17:44:43 -0600

On 6/22/22 5:21 PM, Stephen Rothwell wrote:
> Hi all,
> 
> In commit
> 
>   1da6baa4e4c2 ("io_uring: move io_uring_get_opcode out of TP_printk")
> 
> Fixes tag
> 
>   Fixes: 033b87d2 ("io_uring: use the text representation of ops in trace")
> 
> has these problem(s):
> 
>   - SHA1 should be at least 12 digits long
>     This can be fixed for the future by setting core.abbrev to 12 (or
>     more) or (for git v2.11 or later) just making sure it is not set
>     (or set to "auto").

I'll rebase on -rc4 anyway, I'll fix thie one up.

Dylan, here's what I use for adding Fixes tags:

[pretty]
        fixes = Fixes: %h (\"%s\")

and then I just do:

git fixes 033b87d2
Fixes: 033b87d24f72 ("io_uring: use the text representation of ops in trace")

to generate it.

-- 
Jens Axboe